# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.13.3

EAPI=8

CRATES="
	ansi_term@0.11.0
	anyhow@1.0.56
	atty@0.2.14
	bitflags@1.3.2
	cfg-if@1.0.0
	clap@2.33.3
	hermit-abi@0.1.19
	itoa@1.0.5
	libc@0.2.107
	proc-macro-error-attr@1.0.4
	proc-macro-error@1.0.4
	proc-macro2@1.0.32
	quote@1.0.10
	ryu@1.0.5
	serde@1.0.130
	serde_derive@1.0.130
	serde_json@1.0.92
	strsim@0.8.0
	syn@1.0.81
	test-case-macros@2.1.0
	test-case@2.1.0
	textwrap@0.11.0
	unicode-width@0.1.9
	unicode-xid@0.2.2
	vec_map@0.8.2
	version_check@0.9.4
	winapi-i686-pc-windows-gnu@0.4.0
	winapi-x86_64-pc-windows-gnu@0.4.0
	winapi@0.3.9
"

inherit cargo

DESCRIPTION="Basic interface to PipeWire volume controls"
HOMEPAGE="https://github.com/smasher164/pw-volume"
SRC_URI="https://github.com/smasher164/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"

LICENSE="MIT"
# Dependent crate licenses
LICENSE+="
	MIT
	|| ( Apache-2.0 Boost-1.0 )
"
SLOT="0"
KEYWORDS="~amd64"
